# PetscObjectSetScalarComposedData

attach scalar data to a PetscObject

### Synopsis

    PetscErrorCode PetscObjectSetScalarComposedData(PetscObject obj,int id,PetscScalar data)

Not collective

### Input parameters

| obj | - the object to which data is to be attached
| id | - the identifier for the data
| data | - the data to be attached

Notes The data identifier can best be determined through a call to PetscObjectComposedDataRegister()

Level:developer
Location: include/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages